Jump to: navigation, search

Difference between revisions of "Building"

(versioning)
Line 3: Line 3:
 
This page is about building Eclipse- and RCP-based products (including Eclipse itself).
 
This page is about building Eclipse- and RCP-based products (including Eclipse itself).
  
==versioning==
+
==PDE Build==
  
===information===
+
PDEB is The Way to headlessly build Eclipse- and RCP-based products. The best currently available guide to PDEB is still Markus Barchfeld's [http://www.eclipse.org/articles/Article-PDE-Automation/automation.html Build and Test Automation for plug-ins and features], though it's getting a bit old (having been written for eclipse-3.0).
 +
 
 +
===versioning===
 +
 
 +
Plugins (including features and fragments) must specify their own versions as well as the versions of their dependencies appropriately.
 +
 
 +
====information====
  
 
See the eclipse team's [http://www.eclipse.org/equinox/documents/plugin-versioning.html plugin-versioning guidelines]. You can also ask Pascal Rapicault or John Arthorne for their "Plug-in versioning" presentation.
 
See the eclipse team's [http://www.eclipse.org/equinox/documents/plugin-versioning.html plugin-versioning guidelines]. You can also ask Pascal Rapicault or John Arthorne for their "Plug-in versioning" presentation.
  
===tooling===
+
====tooling====
  
 
Pascal Rapicault has created an application (org.eclipse.core.runtime.versionchecker.dependencyChecker) to "specify the ranges on all [your] required plug-ins."
 
Pascal Rapicault has created an application (org.eclipse.core.runtime.versionchecker.dependencyChecker) to "specify the ranges on all [your] required plug-ins."

Revision as of 13:05, 1 June 2006

summary

This page is about building Eclipse- and RCP-based products (including Eclipse itself).

PDE Build

PDEB is The Way to headlessly build Eclipse- and RCP-based products. The best currently available guide to PDEB is still Markus Barchfeld's Build and Test Automation for plug-ins and features, though it's getting a bit old (having been written for eclipse-3.0).

versioning

Plugins (including features and fragments) must specify their own versions as well as the versions of their dependencies appropriately.

information

See the eclipse team's plugin-versioning guidelines. You can also ask Pascal Rapicault or John Arthorne for their "Plug-in versioning" presentation.

tooling

Pascal Rapicault has created an application (org.eclipse.core.runtime.versionchecker.dependencyChecker) to "specify the ranges on all [your] required plug-ins."